{% extends 'base.html' %}

{% block main-content %}
    <main>
        <div>
            <h1>{{ project_object.name }}</h1>
            <p>{{ project_object.description }}</p>
            <h2>Tasks</h2>
            <p>
                <a href="{% url 'create_task' %}">Create a new task</a>
            </p>
            {% if project_object.tasks.exists %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Assignee</th>
                            <th>Start date</th>
                            <th>Due date</th>
                            <th>Is completed</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for project in project_object.tasks.all %}
                            <tr>
                                <td>{{ project.name }}</td>
                                <td>{{ project.assignee }}</td>
                                <td>{{ project.start_date }}</td>
                                <td>{{ project.due_date }}</td>
                                <td>{{ project.is_completed|yesno }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% else %}
                <p>This project has no tasks</p>
            {% endif %}
        </div>
    </main>
{% endblock main-content %}
